@charset "utf-8";

.inner{
    width: clamp(840px, 60vw, 1008px);
}

/* ---------- 
news-title-wrap
----------*/
.news-title-wrap{
    padding-bottom: 40px;
    border-bottom: 1px solid var(--color-text);
    margin-bottom: 80px;
}
.news-title-info {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
    gap: 20px;
}
.news-title-info .news-date {
    font-family: Inter, sans-serif;
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 400;
}

.news-title-info .news-category{
    text-align: center;
    font-size: clamp(12px, 0.86vw, calc(12px * var(--ratio)));
    font-weight: 400;
    color: rgb(0, 155, 218);
    border-width: 1px;
    border-style: solid;
    border-color: rgb(0, 155, 218);
    border-image: initial;
    border-radius: 99px;
    padding: 2px 20px;
}

@media screen and (max-width: 700px) {
    .news-title-wrap{
        padding-bottom: 40px;
        margin-bottom: 40px;
    }
}

/* ---------- 
editor-block
----------*/
.editor-block{
    margin-bottom: 80px;
}

/* ---------- 
author
----------*/
.author {
    margin-bottom: 80px;
    padding: 40px;
    background-color: var(--color-text);
    color: var(--color-text-sub);
}


.author .author-image{
    float: right; /* 画像を右に浮かせる */
    margin-left: 30px; /* 左側のテキストとの余白 */
    margin-bottom: 20px; /* 下のテキストとの余白 */
    /* align-self: flex-start; */
    flex-shrink: 0; /* 画像サイズを固定 */
    overflow: hidden;
}

.author .author-image img{
    width: clamp(182px, 13vw, calc(182px * var(--ratio)));
    height: clamp(182px, 13vw, calc(182px * var(--ratio)));
    object-fit: cover; /* 画像を切り取って領域を覆う */
    object-position: center top; /* 中央を基準に切り取る */
}

.author-container::after {
    content: "";
    display: table;
    clear: both; /* floatをクリア */
}


@media screen and (max-width: 700px) {
    .author-container{
        flex-direction: column;
    }

    .author .author-image{
        float: none;
    }
}

.author h4 {
    display: inline-block;
    position: relative;
    margin-bottom: 20px;
    padding-left: 20px;
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 500;
    letter-spacing: 0.05em;
}
.author h4:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 10px;
    height: 10px;
    transform: translateY(-50%);
    background-color: var(--color_0073B4);
}


.author .author-info {
    margin-bottom: 30px;
}
.author .author-info .author-name {
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: bold;
    letter-spacing: 0.05em;
    line-height: calc(34/16);
}
.author .author-info .author-sub {
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 400;
    letter-spacing: 0.05em;
    line-height: calc(34/14);
}
.author .author-text p {
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    letter-spacing: 0.05em;
    line-height: calc(34/16);
}

.author .author-text ul{
    list-style: disc;
    padding-left: 1em;
}
.author .author-text ul li{
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 400;
    letter-spacing: 0.05em;
    line-height: calc(34/16);
}

.author .author-text ul li::marker{
    color: var(--color-link_009BDA);
}

@media screen and (max-width: 700px) {
    .author {
        margin-bottom: 60px;
        padding: 30px;
    }
    .author .author-image{
        margin: 0 auto 20px;
        width: 130px;
    }

    .author .author-image img {
        width: 130px;
        height: 130px;
    }
    .author h4 {
        padding-left: 12px;
        font-size: calc(14px / var(--fs-base) * 1rem);
    }
    .author h4:before {
        width: 7px;
        height: 7px;
    }
    .author .author-info .author-name {
        font-size: calc(15px / var(--fs-base) * 1rem);
    }
    .author .author-info .author-sub {
        font-size: calc(13px / var(--fs-base) * 1rem);
        line-height: 2;
    }
    .author .author-text p {
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(30/15);
    }
    .author .author-text a {
        font-size: calc(15px / var(--fs-base) * 1rem);
    }
    .author .author-text ul li{
        font-size: clamp(15px, 1vw, calc(15px * var(--ratio)));
        line-height: calc(30/15);
    }
}

/* ---------- 
post-nav
----------*/
.post-nav {
    display: flex;
    justify-content: space-between;
    margin-bottom: 80px;
    padding: 25px 0;
    border-top: 1px solid var(--color-line);
    border-bottom: 1px solid var(--color-line);
}
.post-nav:not(:has(.post-nav-prev)) {
    justify-content: flex-end;
}
.post-nav:not(:has(.post-nav-next)) {
    justify-content: flex-start;
}
.post-nav .post-nav-prev + .post-nav-next {
    border-left: 1px solid var(--color-line);
}
.post-nav .post-nav-prev {
    position: relative;
    width: 50%;
    padding-left: 46px;
    padding-right: 20px;
    text-align: left;
}
.post-nav .post-nav-next {
    position: relative;
    width: 50%;
    padding-right: 46px;
    padding-left: 20px;
    text-align: right;
}
.post-nav .post-nav-prev .post-link,
.post-nav .post-nav-next .post-link {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 26px;
    height: 26px;
    border-radius: 50%;
    border: 1px solid var(--color-text);
}
.post-nav .post-nav-prev .post-link {
    left: 0;
}
.post-nav .post-nav-next .post-link {
    right: 0;
}
.post-nav .post-nav-prev .post-link:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
    border-bottom: 1px solid var(--color-text);
    border-left: 1px solid var(--color-text);
    left: 50%;
}
.post-nav .post-nav-next .post-link:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
    right: calc(50% - 4px);
}
.post-nav .post-date {
    margin-bottom: 15px;
    font-family: "Inter", sans-serif;
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 400;
    color: var(--color-text);
}
.post-nav .post-title {
    display: inline;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 500;
    color: var(--color-text);
    letter-spacing: 0.05em;
    line-height: 1.875;
}
.post-nav .post-title.link-text {  
    background-image: linear-gradient(var(--color-text), var(--color-text));
}
@media screen and (min-width: 701px) {
    .post-nav:not(:has(.post-nav-prev)) .post-nav-next {
        border-left: 1px solid var(--color-line);
    }
    .post-nav:not(:has(.post-nav-next)) .post-nav-prev {
        border-right: 1px solid var(--color-line);
    }
    .post-nav .post-nav-prev:hover .post-link,
    .post-nav .post-nav-next:hover .post-link {
        background-color: var(--color-text);
    }
    .post-nav .post-nav-prev:hover .post-link:before {
        border-bottom: 1px solid var(--color-text-sub);
        border-left: 1px solid var(--color-text-sub);
    }
    .post-nav .post-nav-next:hover .post-link:before {
        border-top: 1px solid var(--color-text-sub);
        border-right: 1px solid var(--color-text-sub);
    }

    .post-nav .post-nav-prev:hover .link-text,
    .post-nav .post-nav-next:hover .link-text {
        background-size: 100% 1px;
    }
}
@media screen and (max-width: 700px) {
    .post-nav {
        flex-direction: column;
        margin-bottom: 60px;
        padding: 0;
    }
    .post-nav .post-nav-prev + .post-nav-next {
        border-left: none;
        border-top: 1px solid var(--color-line);
    }
    .post-nav .post-nav-prev {
        width: 100%;
        padding: 15px 40px 15px 41px;
        text-align: left;
    }
    .post-nav .post-nav-next {
        width: 100%;
        padding: 15px 41px 15px 40px;
        text-align: right;
    }
    .post-nav .post-nav-next .link-text{
        text-align: left;
    }
    .post-nav .post-date {
        margin-bottom: 10px;
        font-size: calc(12px / var(--fs-base) * 1rem);
    }
    .post-nav .post-title {
        font-size: calc(12px / var(--fs-base) * 1rem);
    }
}

/* ---------- 
btn-wrap
----------*/
.btn-wrap {
    margin-bottom: 80px;
}
@media screen and (max-width: 700px) {
    .btn-wrap {
        margin-bottom: 60px;
    }
}